UPDATE single reservation by id - With null or 'NEW' as reservation id it will be create a new one.
const url = 'https://api-crm-staging.divinea.com/api/v2/reservations/import/example';const options = { method: 'PUT', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"additionalQuestionAnswers":[{"answerType":"example","freeText":"example","questionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","selectedOptionIds":[1]}],"closeSlots":true,"contactId":1,"createdAt":"2021-01-01T12:00:00","date":"2021-01-01","discountTotalCents":0,"dueTotalCents":0,"experienceId":"123e4567-e89b-12d3-a456-426614174000","experiencePriceExtras":[{"created_at":"2026-04-15","experience_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","id":1,"position":1,"price_cents":1,"price_currency":"example","quantity":1,"title_translations":{"de":"example","en":"example","it":"example"},"updated_at":"2026-04-15"}],"experiencePriceLabels":[{"created_at":"2026-04-15","experience_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","id":1,"islabel1":true,"position":1,"price_cents":1,"price_currency":"example","quantity":1,"title_translations":{"de":"example","en":"example","it":"example"},"updated_at":"2026-04-15"}],"experienceTitleTranslations":{"labelKey":"example","languagesPresent":["SPANISH"],"translations":[{"label":"example","language":"SPANISH","languageISO":"example"}]},"giftId":"123e4567-e89b-12d3-a456-426614174000","grossTotalCents":1000,"guestCount01":1,"guestCountTotal":2,"id":"123a4567-e89b-12d3-a456-426614174000","languageIso":"en","manualDiscountTotalCents":0,"message":"example","netTotalCents":1000,"openSlots":true,"optionalData":{},"origin":"https://www.divinea.com/","otherData":{"key":"value","key2":"value2"},"paid":true,"paidAt":"2026-04-15T12:00:00Z","paidTotalCents":1000,"paymentCurrency":"EUR","refundedAt":"2026-04-15T12:00:00Z","refundedTotalCents":1000,"reservation":{"additionalQuestionAnswers":[{"answerType":"example","freeText":"example","questionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","selectedOptionIds":[1]}],"contactId":12312,"createdAt":"2021-01-01T12:00:00","date":"2021-01-01","discountTotalCents":0,"dueTotalCents":0,"experienceId":"123e4567-e89b-12d3-a456-426614174000","experiencePriceExtras":[{"created_at":"2026-04-15","experience_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","id":1,"position":1,"price_cents":1,"price_currency":"example","quantity":1,"title_translations":{"de":"example","en":"example","it":"example"},"updated_at":"2026-04-15"}],"experiencePriceLabels":[{"created_at":"2026-04-15","experience_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","id":1,"islabel1":true,"position":1,"price_cents":1,"price_currency":"example","quantity":1,"title_translations":{"de":"example","en":"example","it":"example"},"updated_at":"2026-04-15"}],"experienceTitleTranslations":{"labelKey":"example","languagesPresent":["SPANISH"],"translations":[{"label":"example","language":"SPANISH","languageISO":"example"}]},"giftId":"123e4567-e89b-12d3-a456-426614174000","grossTotalCents":1000,"guestCount01":1,"guestCountTotal":2,"id":"123a4567-e89b-12d3-a456-426614174000","languageIso":"en","manualDiscountTotalCents":0,"message":"example","netTotalCents":1000,"optionalData":{},"origin":"https://www.divinea.com/","otherData":{"key":"value","key2":"value2"},"paid":true,"paidAt":"2026-04-15T12:00:00Z","paidTotalCents":1000,"paymentCurrency":"EUR","refundedAt":"2026-04-15T12:00:00Z","refundedTotalCents":1000,"reservationContacts":[{"acceptedMarketing":true,"acceptedPrivacyTerms":true,"acceptedProfiling":true,"contactType":"MASTER","countryIso":"IT","email":"john.doe@gmail.com","firstName":"John","lastName":"Doe","manualMarketing":false,"otherData":{},"phoneNumber":"+39 123456789","unsubscribed":false}],"reservationMasterContact":{"acceptedMarketing":true,"acceptedPrivacyTerms":true,"acceptedProfiling":true,"contactType":"MASTER","countryIso":"IT","email":"john.doe@gmail.com","firstName":"John","lastName":"Doe","manualMarketing":false,"otherData":{},"phoneNumber":"+39 123456789","unsubscribed":false},"state":"draft","time":"12:00:00","updatedAt":"2021-01-01T12:30:00","wineryId":"123e4567-e89b-12d3-a456-426614174000"},"reservationContacts":[{"acceptedMarketing":true,"acceptedPrivacyTerms":true,"acceptedProfiling":true,"contactType":"MASTER","countryIso":"IT","email":"john.doe@gmail.com","firstName":"John","lastName":"Doe","manualMarketing":false,"otherData":{},"phoneNumber":"+39 123456789","unsubscribed":false}],"reservationMasterContact":{"acceptedMarketing":true,"acceptedPrivacyTerms":true,"acceptedProfiling":true,"contactType":"MASTER","countryIso":"IT","email":"john.doe@gmail.com","firstName":"John","lastName":"Doe","manualMarketing":false,"otherData":{},"phoneNumber":"+39 123456789","unsubscribed":false},"state":"draft","time":"12:00:00","updatedAt":"2021-01-01T12:30:00","wineryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v2/reservations/import/example \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "additionalQuestionAnswers": [ { "answerType": "example", "freeText": "example", "questionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "selectedOptionIds": [ 1 ] } ], "closeSlots": true, "contactId": 1, "createdAt": "2021-01-01T12:00:00", "date": "2021-01-01", "discountTotalCents": 0, "dueTotalCents": 0, "experienceId": "123e4567-e89b-12d3-a456-426614174000", "experiencePriceExtras": [ { "created_at": "2026-04-15", "experience_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "id": 1, "position": 1, "price_cents": 1, "price_currency": "example", "quantity": 1, "title_translations": { "de": "example", "en": "example", "it": "example" }, "updated_at": "2026-04-15" } ], "experiencePriceLabels": [ { "created_at": "2026-04-15", "experience_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "id": 1, "islabel1": true, "position": 1, "price_cents": 1, "price_currency": "example", "quantity": 1, "title_translations": { "de": "example", "en": "example", "it": "example" }, "updated_at": "2026-04-15" } ], "experienceTitleTranslations": { "labelKey": "example", "languagesPresent": [ "SPANISH" ], "translations": [ { "label": "example", "language": "SPANISH", "languageISO": "example" } ] }, "giftId": "123e4567-e89b-12d3-a456-426614174000", "grossTotalCents": 1000, "guestCount01": 1, "guestCountTotal": 2, "id": "123a4567-e89b-12d3-a456-426614174000", "languageIso": "en", "manualDiscountTotalCents": 0, "message": "example", "netTotalCents": 1000, "openSlots": true, "optionalData": {}, "origin": "https://www.divinea.com/", "otherData": { "key": "value", "key2": "value2" }, "paid": true, "paidAt": "2026-04-15T12:00:00Z", "paidTotalCents": 1000, "paymentCurrency": "EUR", "refundedAt": "2026-04-15T12:00:00Z", "refundedTotalCents": 1000, "reservation": { "additionalQuestionAnswers": [ { "answerType": "example", "freeText": "example", "questionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "selectedOptionIds": [ 1 ] } ], "contactId": 12312, "createdAt": "2021-01-01T12:00:00", "date": "2021-01-01", "discountTotalCents": 0, "dueTotalCents": 0, "experienceId": "123e4567-e89b-12d3-a456-426614174000", "experiencePriceExtras": [ { "created_at": "2026-04-15", "experience_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "id": 1, "position": 1, "price_cents": 1, "price_currency": "example", "quantity": 1, "title_translations": { "de": "example", "en": "example", "it": "example" }, "updated_at": "2026-04-15" } ], "experiencePriceLabels": [ { "created_at": "2026-04-15", "experience_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "id": 1, "islabel1": true, "position": 1, "price_cents": 1, "price_currency": "example", "quantity": 1, "title_translations": { "de": "example", "en": "example", "it": "example" }, "updated_at": "2026-04-15" } ], "experienceTitleTranslations": { "labelKey": "example", "languagesPresent": [ "SPANISH" ], "translations": [ { "label": "example", "language": "SPANISH", "languageISO": "example" } ] }, "giftId": "123e4567-e89b-12d3-a456-426614174000", "grossTotalCents": 1000, "guestCount01": 1, "guestCountTotal": 2, "id": "123a4567-e89b-12d3-a456-426614174000", "languageIso": "en", "manualDiscountTotalCents": 0, "message": "example", "netTotalCents": 1000, "optionalData": {}, "origin": "https://www.divinea.com/", "otherData": { "key": "value", "key2": "value2" }, "paid": true, "paidAt": "2026-04-15T12:00:00Z", "paidTotalCents": 1000, "paymentCurrency": "EUR", "refundedAt": "2026-04-15T12:00:00Z", "refundedTotalCents": 1000, "reservationContacts": [ { "acceptedMarketing": true, "acceptedPrivacyTerms": true, "acceptedProfiling": true, "contactType": "MASTER", "countryIso": "IT", "email": "john.doe@gmail.com", "firstName": "John", "lastName": "Doe", "manualMarketing": false, "otherData": {}, "phoneNumber": "+39 123456789", "unsubscribed": false } ], "reservationMasterContact": { "acceptedMarketing": true, "acceptedPrivacyTerms": true, "acceptedProfiling": true, "contactType": "MASTER", "countryIso": "IT", "email": "john.doe@gmail.com", "firstName": "John", "lastName": "Doe", "manualMarketing": false, "otherData": {}, "phoneNumber": "+39 123456789", "unsubscribed": false }, "state": "draft", "time": "12:00:00", "updatedAt": "2021-01-01T12:30:00", "wineryId": "123e4567-e89b-12d3-a456-426614174000" }, "reservationContacts": [ { "acceptedMarketing": true, "acceptedPrivacyTerms": true, "acceptedProfiling": true, "contactType": "MASTER", "countryIso": "IT", "email": "john.doe@gmail.com", "firstName": "John", "lastName": "Doe", "manualMarketing": false, "otherData": {}, "phoneNumber": "+39 123456789", "unsubscribed": false } ], "reservationMasterContact": { "acceptedMarketing": true, "acceptedPrivacyTerms": true, "acceptedProfiling": true, "contactType": "MASTER", "countryIso": "IT", "email": "john.doe@gmail.com", "firstName": "John", "lastName": "Doe", "manualMarketing": false, "otherData": {}, "phoneNumber": "+39 123456789", "unsubscribed": false }, "state": "draft", "time": "12:00:00", "updatedAt": "2021-01-01T12:30:00", "wineryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”ReservationID
Request Body
Sezione intitolata “Request Body”ReservationInput
object
Additional booking question answers
object
Created at
Example
2021-01-01T12:00:00Reservation date
Example
2021-01-01Discount total cents
Example
0Due total cents
Example
0Experience ID
Example
123e4567-e89b-12d3-a456-426614174000Experience price extras
object
object
Experience price labels
object
object
object
object
Id of the gift related
Example
123e4567-e89b-12d3-a456-426614174000Gross total cents
Example
1000Guest count 01
Example
1Total guest count
Example
2Reservation ID
Example
123a4567-e89b-12d3-a456-426614174000Language ISO
Example
enManual discount total cents
Example
0Message from final user
Net total cents
Example
1000Optional data - Legacy additional data
object
Origin
Example
https://www.divinea.com/Other data to save as JSON
object
Example
{ "key": "value", "key2": "value2"}Paid
Example
trueUTC instant of first captured/charged payment (derived). WS-2190.
Paid total cents
Example
1000Payment currency
Example
EURUTC instant of refund activity (derived). WS-2190.
Refunded total cents (from payment intents)
Example
1000object
Additional booking question answers
object
Contact ID - only if already associeted with reservation
Example
12312Created at
Example
2021-01-01T12:00:00Reservation date
Example
2021-01-01Discount total cents
Example
0Due total cents
Example
0Experience ID
Example
123e4567-e89b-12d3-a456-426614174000Experience price extras
object
object
Experience price labels
object
object
object
object
Id of the gift related
Example
123e4567-e89b-12d3-a456-426614174000Gross total cents
Example
1000Guest count 01
Example
1Total guest count
Example
2Reservation ID
Example
123a4567-e89b-12d3-a456-426614174000Language ISO
Example
enManual discount total cents
Example
0Message from final user
Net total cents
Example
1000Optional data - Legacy additional data
object
Origin
Example
https://www.divinea.com/Other data to save as JSON
object
Example
{ "key": "value", "key2": "value2"}Paid
Example
trueUTC instant of first captured/charged payment (derived). WS-2190.
Paid total cents
Example
1000Payment currency
Example
EURUTC instant of refund activity (derived). WS-2190.
Refunded total cents (from payment intents)
Example
1000Reservation contacts
object
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseobject
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseReservation State
Example
CONFIRMEDReservation time
object
Example
12:00:00Updated at
Example
2021-01-01T12:30:00Winery ID
Example
123e4567-e89b-12d3-a456-426614174000Reservation contacts
object
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseobject
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseReservation State
Example
CONFIRMEDReservation time
object
Example
12:00:00Updated at
Example
2021-01-01T12:30:00Responses
Sezione intitolata “Responses”OK
object
object
object
Additional booking question answers
object
Contact ID - only if already associeted with reservation
Example
12312Created at
Example
2021-01-01T12:00:00Reservation date
Example
2021-01-01Discount total cents
Example
0Due total cents
Example
0Experience ID
Example
123e4567-e89b-12d3-a456-426614174000Experience price extras
object
object
Experience price labels
object
object
object
object
Id of the gift related
Example
123e4567-e89b-12d3-a456-426614174000Gross total cents
Example
1000Guest count 01
Example
1Total guest count
Example
2Reservation ID
Example
123a4567-e89b-12d3-a456-426614174000Language ISO
Example
enManual discount total cents
Example
0Message from final user
Net total cents
Example
1000Optional data - Legacy additional data
object
Origin
Example
https://www.divinea.com/Other data to save as JSON
object
Example
{ "key": "value", "key2": "value2"}Paid
Example
trueUTC instant of first captured/charged payment (derived). WS-2190.
Paid total cents
Example
1000Payment currency
Example
EURUTC instant of refund activity (derived). WS-2190.
Refunded total cents (from payment intents)
Example
1000Reservation contacts
object
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseobject
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseReservation State
Example
CONFIRMEDReservation time
object
Example
12:00:00Updated at
Example
2021-01-01T12:30:00Winery ID
Example
123e4567-e89b-12d3-a456-426614174000object
Additional booking question answers
object
Contact ID - only if already associeted with reservation
Example
12312Created at
Example
2021-01-01T12:00:00Reservation date
Example
2021-01-01Discount total cents
Example
0Due total cents
Example
0Experience ID
Example
123e4567-e89b-12d3-a456-426614174000Experience price extras
object
object
Experience price labels
object
object
object
object
Id of the gift related
Example
123e4567-e89b-12d3-a456-426614174000Gross total cents
Example
1000Guest count 01
Example
1Total guest count
Example
2Reservation ID
Example
123a4567-e89b-12d3-a456-426614174000Language ISO
Example
enManual discount total cents
Example
0Message from final user
Net total cents
Example
1000Optional data - Legacy additional data
object
Origin
Example
https://www.divinea.com/Other data to save as JSON
object
Example
{ "key": "value", "key2": "value2"}Paid
Example
trueUTC instant of first captured/charged payment (derived). WS-2190.
Paid total cents
Example
1000Payment currency
Example
EURUTC instant of refund activity (derived). WS-2190.
Refunded total cents (from payment intents)
Example
1000Reservation contacts
object
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseobject
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseReservation State
Example
CONFIRMEDReservation time
object
Example
12:00:00Updated at
Example
2021-01-01T12:30:00Winery ID
Example
123e4567-e89b-12d3-a456-426614174000